Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IConnector

    com.change_vision.jude.api.inf.model.IConnector

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

    public IConnector

extends INamedElement

Interface for Connector.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IAttribute[]` | `getParts()` Get the array of Parts.
`abstract IAttribute[]` | `getPartsWithPort()` Get the array of Parts connected with Port.
`abstract IPort[]` | `getPorts()` Get Port's array.
`abstract IAssociation` | `getType()` Get Type.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getType

    abstract IAssociation getType()

  Get Type.

  Returns:
    type

### getPartsWithPort

    abstract IAttribute[] getPartsWithPort()

  Get the array of Parts connected with Port.

  Returns:
    the array of Parts connected with Port.(The first array:source side The second array:target side)

### getParts

    abstract IAttribute[] getParts()

  Get the array of Parts.

  Returns:
    the array of Parts.(The first array:source side The second array:target side)

### getPorts

    abstract IPort[] getPorts()

  Get Port's array.

  Returns:
    the array of Ports.(The first array:source side The second array:target side)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD